#!/bin/sh

CVSROOT=~/cvsroot
RPMROOT=~/rpm
ROOT=~/snapshot
DIR="firestorm-0.4.0"
TAG="v0_4_0"

## export from CVS and cd into root
mkdir -p $ROOT
cvs -d $CVSROOT export -r $TAG -d $ROOT/$DIR firestorm
pushd $ROOT/$DIR


## Setup the source code
echo "see: NEWS" > ChangeLog
aclocal
autoheader
automake -c -a --gnu -v
autoconf


## Make the source tarball
cd ..
tar -zcf $DIR.tar.gz $DIR


## Make the binary tarball
mver=`uname -s`-`uname -m`
mkdir firestorm.$mver
pushd $DIR
./configure \
	--sysconfdir=/etc \
	--mandir=/usr/share/man \
	--bindir=/usr/bin \
	--libdir=/usr/lib && make
make DESTDIR=$ROOT/firestorm.$mver install
popd
tar -zcvf firestorm.$mver.tar.gz firestorm.$mver
rm -rf firestorm.$mver


## Make the RPMs
cp $DIR/firestorm.spec $RPMROOT/SPECS/
cp $DIR.tar.gz $RPMROOT/SOURCES/
pushd $RPMROOT
rpm -ba SPECS/firestorm.spec
rpm --clean SPECS/firestorm.spec
mv RPMS/i386/firestorm-*.rpm $ROOT
mv SRPMS/firestorm-*.rpm $ROOT
rm -f SPECS/firestorm.spec
rm -f SOURCES/$DIR.tar.gz
popd


## Finish up
rm -rf $ROOT/$DIR
popd
