#ifndef __PKT_IP_HEADER_INCLUDED__
#define __PKT_IP_HEADER_INCLUDED__

#define IP_CE 		0x8000	/* Congestion */
#define IP_DF 		0x4000	/* dont fragment flag */
#define IP_MF 		0x2000	/* more fragments flag */
#define IP_OFFMASK 	0x1fff	/* mask for fragmenting bits */

typedef struct pkt_iphdr{
#if __BYTE_ORDER == __LITTLE_ENDIAN
	u_int8_t	ihl:4;
	u_int8_t	version:4;
#elif __BYTE_ORDER == __BIG_ENDIAN
	u_int8_t	version:4;
	u_int8_t	ihl:4;
#else
#error "Couldn't determine endianness"
#endif
	u_int8_t	tos;
	u_int16_t	tot_len;
	u_int16_t	id;
	u_int16_t	frag_off;
	u_int8_t	ttl;
	u_int8_t	protocol;
	u_int16_t	csum;
	u_int32_t	saddr;
	u_int32_t	daddr;
}pkt_iphdr_t, *p_ip;

#endif /* __PKT_IP_HEADER_INCLUDED__ */
