#ifndef __SIGNATURE_HEADER_INCLUDED__
#define __SIGNATURE_HEADER_INCLUDED__

struct critmp {
	struct critmp	*next;
	char		*crit;
	char		*args;

	/* If the low bit is 1 then negate */
	u_int8_t	negate;
};

struct rule {
	/* Realm */
	struct realm	*realm;

	/* Criteria - MUST not be referenced after commit */
	struct critmp	*criteria;
	struct critmp	*crit_end;

	/* Alert */
	struct target	*target;
	char		*alert;
	void		*t_priv;

	/* Identification */
};

#ifndef __PLUGIN__
struct rule *signature_rule(char *);
void signature_abort(struct rule *);
int signature_criteria(struct rule *, int, char *, char *);
int signature_alert(struct rule *, char *, char *, char *);
int signature_commit(struct rule *);
#else
typedef struct rule *(*proc_sig_rule)(char *);
typedef void (*proc_sig_abort)(struct rule *);
typedef int (*proc_sig_criteria)(struct rule *, int, char *, char *);
typedef int (*proc_sig_alert)(struct rule *, char *, char *, char *);
typedef int (*proc_sig_commit)(struct rule *);
#endif

#endif /* __SIGNATURE_HEADER_INCLUDED__ */
